---
title: "List triggers by name"
url: https://hexelstudio.com/docs/api/harness/triggers/list
---

# List triggers by name

**GET** `/harness/triggers`

## Query parameters

- `limit: optional integer`

  Default: `50`

- `after: optional string`

  A trigger name (a previous page's next_after).

## Headers

- `Authorization: string`

  `Bearer <token>`. A Hexel Studio access token for your organization.

- `X-Workspace-Id: string`

  The workspace the request acts in (`ws_...`). It never grants access by itself.

- `X-Environment-Id: string`

  The environment the request acts in (`env_...`). It never grants access by itself.

## Returns

`200` A page of triggers. (`object`)

- `triggers: array of Trigger`

  - `created_at: string`

  - `created_by: string`

  - `environment_id: string`

  - `name: string`

  - `paused_reason: optional string`

  - `routine_error: optional string`

  - `routine_id: string`

  - `schedules: optional array of RoutineTrigger`

    - `config: any`

      Any JSON value.

    - `id: string`

    - `kind: string`

    - `next_fire_at: optional string`

    - `state: string`

  - `state: optional string`

  - `target: optional any`

    Any JSON value.

  - `updated_at: string`

  - `workspace_id: string`

- `next_after: optional string`

## Errors

- `default` 

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/harness/triggers' \
  --header "Authorization: Bearer $ACCESS_TOKEN" \
  --header 'X-Workspace-Id: X_WORKSPACE_ID' \
  --header 'X-Environment-Id: X_ENVIRONMENT_ID'
```

### Response (200)

```json
{
  "triggers": [
    {
      "created_at": "2026-01-01T00:00:00Z",
      "created_by": "string",
      "environment_id": "string",
      "name": "string",
      "paused_reason": "string",
      "routine_error": "string",
      "routine_id": "string",
      "schedules": [
        {
          "config": "string",
          "id": "string",
          "kind": "string",
          "next_fire_at": "2026-01-01T00:00:00Z",
          "state": "string"
        }
      ],
      "state": "string",
      "target": "string",
      "updated_at": "2026-01-01T00:00:00Z",
      "workspace_id": "string"
    }
  ],
  "next_after": "string"
}
```
